#!/bin/bash
echo "go mod tidy..."
go mod tidy

echo "go mod vendor..."
go mod vendor

echo "go generate bindata.go for migration,options,public,templates..."
go run build/generate-bindata.go modules/schemas migration vendor/code.gitea.io/gitea/modules/migration/bindata.go
go run build/generate-bindata.go options options vendor/code.gitea.io/gitea/modules/options/bindata.go
go run build/generate-bindata.go public public vendor/code.gitea.io/gitea/modules/public/bindata.go
go run build/generate-bindata.go templates templates vendor/code.gitea.io/gitea/modules/templates/bindata.go

echo "go build -tags 'bindata' -o gitea_hat main.go..."
go build -tags 'bindata' -o gitea_hat main.go
