package structs

import "time"

type PullRequestVersion struct {
	ID             int64      `json:"id"`
	AddLineNum     int        `json:"add_line_num"`
	DelLineNum     int        `json:"del_line_num"`
	CommitsCount   int        `json:"commits_count"`
	FilesCount     int        `json:"files_count"`
	BaseCommitSha  string     `json:"base_commit_sha"`
	HeadCommitSha  string     `json:"head_commit_sha"`
	StartCommitSha string     `json:"start_commit_sha"`
	CreatedAt      *time.Time `json:"created_at"`
	UpdatedAt      *time.Time `json:"updated_at"`
}
